* Encoding: windows-1252.
/************************************************************************************************************/
/*                                                                                                                                     */
/* This SAS program will extract the United States Sentencing Commission's 21 U.S.C.  851*/
/* Enhanced Drug Penalty Fiscal Year 2021 file and create a SAS dataset.                           */
/*                                                                                                                                    */
/* Prior to running the program you must update the DAT file location in the FILNAME line      */
/* to correspond to the location of the file on your computer.                                                 */
/*                                                                                                                                    */
/* You must also update the library location in the LIBNAME statement to correspond to       */
/* the folder you want the output file to be located.                                                              */
/*                                                                                                                                   */
/***********************************************************************************************************/

/* The following line should contain the complete path and name of your raw data file */
/* The last line of this file contains the path to your output '.sav' file */

FILE HANDLE DATA / NAME=".\drug851fy21nid.dat" ENCODING="CP1252" / LRECL=563 .

DATA LIST FILE=DATA/
   USSCIDN 1-7              STMIN851 8-11            STMAX851 12-15        
   DGMIN851 16-19           DGMAX851 20-23           FILED 24-26           
   WITHDRWN 27-29           RELIEF 30-32             CTRELIEF 33-35        
   CRMHT851 36-38           INDTDATE 39-49 (DATE)    FILEDATE 50-60 (DATE) 
   PROFFN1 61-64            PROFFN2 65-68            PROFFN3 69-72         
   PROFFN4 73-76            PROFFN5 77-80            PROFFN6 81-84         
   PROFFN7 85-88            PROFFN8 89-92            PROFFN9 93-96         
   PROFFN10 97-100          PROFFN11 101-104         PROFFN12 105-108      
   PROFFN13 109-112         PROFFN14 113-116         PROFFN15 117-120      
   PROFFN16 121-124         PROFFN17 125-128         PROFFN18 129-132      
   PROFFN19 133-136         PROFFN20 137-140         PRSENT1 141-144       
   PRSENT2 145-148          PRSENT3 149-152          PRSENT4 153-156       
   PRSENT5 157-160          PRSENT6 161-164          PRSENT7 165-168       
   PRSENT8 169-172          PRSENT9 173-176          PRSENT10 177-180      
   PRSENT11 181-184         PRSENT12 185-188         PRSENT13 189-192      
   PRSENT14 193-196         PRSENT15 197-200         PRSENT16 201-204      
   PRSENT17 205-208         PRSENT18 209-212         PRSENT19 213-216      
   PRSENT20 217-220         PRSNDT1 221-231 (DATE)   PRSNDT2 232-242 (DATE)
   PRSNDT3 243-253 (DATE)   PRSNDT4 254-264 (DATE)   PRSNDT5 265-275 (DATE)
   PRSNDT6 276-286 (DATE)   PRSNDT7 287-297 (DATE)   PRSNDT8 298-308 (DATE)
   PRSNDT9 309-319 (DATE)   PRSNDT10 320-330 (DATE)   PRSNDT11 331-341 (DATE)
   PRSNDT12 342-352 (DATE)   PRSNDT13 353-363 (DATE)   PRSNDT14 364-374 (DATE)
   PRSNDT15 375-385 (DATE)   PRSNDT16 386-396 (DATE)   PRSNDT17 397-407 (DATE)
   PRSNDT18 408-418 (DATE)   PRSNDT19 419-429 (DATE)   PRSNDT20 430-440 (DATE)
   OFFENNUM 441-443         PRCHPT1 444-446          PRCHPT2 447-449       
   PRCHPT3 450-452          PRCHPT4 453-455          PRCHPT5 456-458       
   PRCHPT6 459-461          PRCHPT7 462-464          PRCHPT8 465-467       
   PRCHPT9 468-470          PRCHPT10 471-473         PRCHPT11 474-476      
   PRCHPT12 477-479         PRCHPT13 480-482         PRCHPT14 483-485      
   PRCHPT15 486-488         PRCHPT16 489-491         PRCHPT17 492-494      
   PRCHPT18 495-497         PRCHPT19 498-500         PRCHPT20 501-503      
   PRFELN1 504-506          PRFELN2 507-509          PRFELN3 510-512       
   PRFELN4 513-515          PRFELN5 516-518          PRFELN6 519-521       
   PRFELN7 522-524          PRFELN8 525-527          PRFELN9 528-530       
   PRFELN10 531-533         PRFELN11 534-536         PRFELN12 537-539      
   PRFELN13 540-542         PRFELN14 543-545         PRFELN15 546-548      
   PRFELN16 549-551         PRFELN17 552-554         PRFELN18 555-557      
   PRFELN19 558-560         PRFELN20 561-563 .    


SAVE OUTFILE='.\drug851fy21nid.sav'.
